package com.ym.pojo;

import io.rong.messages.BaseMessage;
import io.rong.messages.UserInfo;
import io.rong.util.GsonUtil;
import lombok.Data;

@Data
public class NoticeMessage extends BaseMessage {
    private String content = "";
    private Object extraContent;
    private String extra = "";
    private io.rong.messages.UserInfo user = null;
    private static final transient String TYPE = "DY:NoticeMsg";

    public NoticeMessage(String content, String extra) {
        this.content = content;
        this.extra = extra;
    }

    public NoticeMessage(String content, String extra, io.rong.messages.UserInfo user) {
        this.content = content;
        this.extra = extra;
        this.user = user;
    }

    public String getType() {
        return "DY:NoticeMsg";
    }

    public String getContent() {
        return this.content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getExtra() {
        return this.extra;
    }

    public void setExtra(String extra) {
        this.extra = extra;
    }

    public io.rong.messages.UserInfo getUser() {
        return this.user;
    }

    public void setUser(UserInfo user) {
        this.user = user;
    }

    public String toString() {
        return GsonUtil.toJson(this, NoticeMessage.class);

    }
}